// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: PacketSpec.proto

package org.openfeed.proto.common;

/**
 * Protobuf enum {@code org.openfeed.proto.common.PacketType}
 *
 * <pre>
 * Packet type for supported messages.
 * </pre>
 */
public enum PacketType
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <code>UNKNOWN = 0;</code>
   *
   * <pre>
   * Invalid type.
   * Represents error condition.
   * </pre>
   */
  UNKNOWN(0, 0),
  /**
   * <code>MARKET_UPDATE = 1;</code>
   *
   * <pre>
   * Market data update packet.
   * Contains only update messages.
   * </pre>
   */
  MARKET_UPDATE(1, 1),
  /**
   * <code>MARKET_SNAPSHOT = 2;</code>
   *
   * <pre>
   * Market data snapshot packet.
   * Contains only snapshot messages.
   * </pre>
   */
  MARKET_SNAPSHOT(2, 2),
  /**
   * <code>INSTRUMENT = 3;</code>
   *
   * <pre>
   * Packet with instrument definitions.
   * </pre>
   */
  INSTRUMENT(3, 3),
  /**
   * <code>FEED_SESSION = 4;</code>
   *
   * <pre>
   * Market feed session packet.
   * Contains request/response messages:
   * * instrument definitions
   * * data feed activate/deactivate
   * * market-state snapshots
   * </pre>
   */
  FEED_SESSION(4, 4),
  /**
   * <code>USER_SESSION = 5;</code>
   *
   * <pre>
   * Packet with authorization session control messages.
   * </pre>
   */
  USER_SESSION(5, 5),
  /**
   * <code>NEWS = 6;</code>
   *
   * <pre>
   * Packet with market news snapshot/update messages.
   * </pre>
   */
  NEWS(6, 6),
  /**
   * <code>TRADE = 7;</code>
   *
   * <pre>
   * Packet with market order/trade messages.
   * </pre>
   */
  TRADE(7, 7),
  /**
   * <code>HEARTBEAT = 8;</code>
   *
   * <pre>
   * Packet with connection heartbeat messages.
   * </pre>
   */
  HEARTBEAT(8, 8),
  /**
   * <code>KERBEROS = 9;</code>
   *
   * <pre>
   * Packet with kerberos token messages.
   * </pre>
   */
  KERBEROS(9, 9),
  ;

  /**
   * <code>UNKNOWN = 0;</code>
   *
   * <pre>
   * Invalid type.
   * Represents error condition.
   * </pre>
   */
  public static final int UNKNOWN_VALUE = 0;
  /**
   * <code>MARKET_UPDATE = 1;</code>
   *
   * <pre>
   * Market data update packet.
   * Contains only update messages.
   * </pre>
   */
  public static final int MARKET_UPDATE_VALUE = 1;
  /**
   * <code>MARKET_SNAPSHOT = 2;</code>
   *
   * <pre>
   * Market data snapshot packet.
   * Contains only snapshot messages.
   * </pre>
   */
  public static final int MARKET_SNAPSHOT_VALUE = 2;
  /**
   * <code>INSTRUMENT = 3;</code>
   *
   * <pre>
   * Packet with instrument definitions.
   * </pre>
   */
  public static final int INSTRUMENT_VALUE = 3;
  /**
   * <code>FEED_SESSION = 4;</code>
   *
   * <pre>
   * Market feed session packet.
   * Contains request/response messages:
   * * instrument definitions
   * * data feed activate/deactivate
   * * market-state snapshots
   * </pre>
   */
  public static final int FEED_SESSION_VALUE = 4;
  /**
   * <code>USER_SESSION = 5;</code>
   *
   * <pre>
   * Packet with authorization session control messages.
   * </pre>
   */
  public static final int USER_SESSION_VALUE = 5;
  /**
   * <code>NEWS = 6;</code>
   *
   * <pre>
   * Packet with market news snapshot/update messages.
   * </pre>
   */
  public static final int NEWS_VALUE = 6;
  /**
   * <code>TRADE = 7;</code>
   *
   * <pre>
   * Packet with market order/trade messages.
   * </pre>
   */
  public static final int TRADE_VALUE = 7;
  /**
   * <code>HEARTBEAT = 8;</code>
   *
   * <pre>
   * Packet with connection heartbeat messages.
   * </pre>
   */
  public static final int HEARTBEAT_VALUE = 8;
  /**
   * <code>KERBEROS = 9;</code>
   *
   * <pre>
   * Packet with kerberos token messages.
   * </pre>
   */
  public static final int KERBEROS_VALUE = 9;


  public final int getNumber() { return value; }

  public static PacketType valueOf(int value) {
    switch (value) {
      case 0: return UNKNOWN;
      case 1: return MARKET_UPDATE;
      case 2: return MARKET_SNAPSHOT;
      case 3: return INSTRUMENT;
      case 4: return FEED_SESSION;
      case 5: return USER_SESSION;
      case 6: return NEWS;
      case 7: return TRADE;
      case 8: return HEARTBEAT;
      case 9: return KERBEROS;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<PacketType>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static com.google.protobuf.Internal.EnumLiteMap<PacketType>
      internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<PacketType>() {
          public PacketType findValueByNumber(int number) {
            return PacketType.valueOf(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    return getDescriptor().getValues().get(index);
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return org.openfeed.proto.common.PacketSpec.getDescriptor().getEnumTypes().get(0);
  }

  private static final PacketType[] VALUES = values();

  public static PacketType valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    return VALUES[desc.getIndex()];
  }

  private final int index;
  private final int value;

  private PacketType(int index, int value) {
    this.index = index;
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:org.openfeed.proto.common.PacketType)
}

